Linuxdoc Linux Questions
Click here to ask our community of linux experts!
Custom Search
Next Previous Contents

2. Hardware compatibilities issue

2.1 Hardware that not compatible with Linux

Most of hardwares installed in the system are compatible under Linux. However there are exceptions of modem, USB Port and MPEG decoder. Please be aware that you cannot use modem, which should be problem for some of you. Modems installed in the VAIO is called DSVD modem, which is the variant of the "Winmodem."

(Addition: 12/28/98) Newer model seems to have normal modem instead of Winmodem.

2.2 Partially compatible hardwares

The soundcard and the Video card installed are partially compatible.

Soundcard

Soundcard is compatible under Linux with supports of Microsoft Sound System + Sound Blaster, if you want to use MIDI under Linux, you need to compromise your sound input capabilities. For this case, cancel out the Sound Blaster. If you need MIDI, and sound input, you may want consider buying OSS/Linux, which you can use all of its capabilities under Linux. The soundcard equipped with the VAIO is Yamaha OPL3SA, and OSS/Linux has full support to it. It seems like that the wavetable synthesis mentioned in the specification is really the soft synthesizer, so you are not missing hardware capabilities on it. As the time I am writing this, there is the OSS/Free 3.8, which supports this soundcard under Yamaha OPL3-SA1 audio controller. Please note that this is not initially installed on 2.0.x. You will need to download from OSS site. 2.1.x comes with updated version of OSS/Free, but I haven't tested compatibility with it. If you see that it is working with this soundcard, please let me know.

Video Card

Videocard is partially supported under Linux. You will have no problem using it under Linux console mode. If you wish to use it under X Window, get 3.3.1 or later XFree86, which has support to ATI Rage. Other commercial X Window system should support this, too. However, 3D acceleration of this video card will not work under Linux, as there is no driver for this. (Update 12/29/98) For model number 505, ALSA drivers on XFree86 V3.3.3 or later is compatible.


Next Previous Contents